Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class CustomDataSourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.CustomDataSourceBean

    public class CustomDataSourceBean

extends ResourceBean

Version:
  $Id: CustomDataSourceBean.java 9474 2007-08-10 21:16:47Z bob $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CustomDataSourceBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler referenceHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.util.Map` | `getPropertyMap()`
`java.lang.String` | `getServiceClass()`
`void` | `setPropertyMap(java.util.Map propertyMap)`
`void` | `setServiceClass(java.lang.String serviceClass)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomDataSourceBean

    public CustomDataSourceBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler referenceHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getServiceClass

    public java.lang.String getServiceClass()

### setServiceClass

    public void setServiceClass(java.lang.String serviceClass)

### getPropertyMap

    public java.util.Map getPropertyMap()

### setPropertyMap

    public void setPropertyMap(java.util.Map propertyMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.